| AOMedia AV1 Codec

Data Fields
MB_RD_INFO Struct Reference

Inter-mode txfm results for a partition block. More...

`#include <block.h>`

## Data Fields
TX_SIZE | tx_size
| Txfm size used if the current mode is intra mode.
TX_SIZE | inter_tx_size [INTER_TX_SIZE_BUF_LEN]
| Txfm sizes used if the current mode is inter mode.
uint8_t | blk_skip [MAX_MIB_SIZE *MAX_MIB_SIZE]
| Map showing which txfm block skips the txfm process.
uint8_t | tx_type_map [MAX_MIB_SIZE *MAX_MIB_SIZE]
| Map showing the txfm types for each block.
RD_STATS | rd_stats
| Rd_stats for the whole partition block.
uint32_t | hash_value
| Hash value of the current record.

## Detailed Description

Inter-mode txfm results for a partition block.

The documentation for this struct was generated from the following file:

- av1/encoder/block.h